Package com.google.cloud.spanner.connection

# Class ConnectionOptionsHelper

java.lang.Object
com.google.cloud.spanner.connection.ConnectionOptionsHelper

@InternalApi public class ConnectionOptionsHelper extends Object

## Method Summary

Modifier and Type
Method
Description
`static com.google.cloud.spanner.connection.ConnectionOptions.Builder`
`useDirectExecutorIfNotUseVirtualThreads(String uri, com.google.cloud.spanner.connection.ConnectionOptions.Builder builder)`
`static boolean`
`usesDirectExecutor(com.google.cloud.spanner.connection.ConnectionOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### useDirectExecutorIfNotUseVirtualThreads

@InternalApi public static com.google.cloud.spanner.connection.ConnectionOptions.Builder useDirectExecutorIfNotUseVirtualThreads(String uri, com.google.cloud.spanner.connection.ConnectionOptions.Builder builder)

### usesDirectExecutor

@InternalApi public static boolean usesDirectExecutor(com.google.cloud.spanner.connection.ConnectionOptions options)